// Copyright 2022, blueagain
// https://github.com/terrablue

import WebSocket from "ws";

const ws = new WebSocket("ws://bitcoinity.org/webs_bridge/websocket");
let ref = 2;
const send = (ws, data) => {
  ws.send(JSON.stringify({...data, payload: {}, ref}));
  ref++;
}

const join = (ws, topic) =>
  send(ws, {topic, event: "phx_join"});

const currencies = ["USD"];

ws.on("open", () => {
  ws.on("message", message => {
    const parsed_message = JSON.parse(message);
    if (currencies.includes(parsed_message.payload.data?.currency)) {
      const {currency, exchange_name, last} = parsed_message.payload.data;
      console.log(`currency: ${currency}, exchange: ${exchange_name}, last: ${last}`);
    }

  });
  join(ws, "webs:markets");
  join(ws, "webs:bitfinex_USD");
  setInterval(() => {
    send(ws, {topic: "phoenix", event: "heartbeat"})
  }, 30000)
})
